package com.sa.ibiz.demo.demoapp.controller.demo.vo;

import java.sql.Timestamp;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import lombok.Data;
import com.sa.ibiz.demo.demo.service.dto.OrgUserLevelSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.springframework.util.StringUtils;
import java.util.Map;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class OrgUserLevel_SearchForm_Default{

    private Map<String,String> srfparentdata;

    private String n_orguserlevelname_like;
    private Page page;
    private Page getPage(){
        if(this.page==null)
            this.page=new Page(1,20,true);
        return this.page;
    }

    public  void fromOrgUserLevelSearchFilter(OrgUserLevelSearchFilter sourceSearchFilter)  {
        this.setN_orguserlevelname_like(sourceSearchFilter.getN_orguserlevelname_like());
        this.setPage(sourceSearchFilter.getPage());
	}
    public  OrgUserLevelSearchFilter toOrgUserLevelSearchFilter()  {
        OrgUserLevelSearchFilter targetSearchFilter=new OrgUserLevelSearchFilter();
        if(targetSearchFilter.getN_orguserlevelname_like()==null)
            targetSearchFilter.setN_orguserlevelname_like(this.getN_orguserlevelname_like());
        targetSearchFilter.setPage(this.getPage());
        return targetSearchFilter;
	}


}